<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 *
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/admin/partials
 */

include SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'admin/components/page-header.php';

$disabledForFeatureCanEnableRequestService = $viewModel->featureCanEnableRequestService ? "" : "disabled";
$checkedForFeatureRequestServiceEnabled = $viewModel->featureRequestServiceEnabled ? "checked" : "";
$checkedForFeatureViewQuotesEnabled = $viewModel->featureViewQuotesEnabled ? "checked" : "";
$checkedForFeatureViewDeficienciesEnabled = $viewModel->featureViewDeficienciesEnabled ? "checked" : "";
$checkedForFeatureViewPricesEnabled = $viewModel->featureViewPricesEnabled ? "checked" : "";
?>

<script>
      window.servicetradePortalConfig = {
        apiRoot: '<?php echo esc_url_raw( rest_url() . "servicetrade-service-portal/v2/admin/" ) ?>',
          nonce: '<?php echo wp_create_nonce( "wp_rest" ) ?>'		
          };
    
</script>


<div class="servicetrade-page-admin-add-user wrap">
  <h1>ServiceTrade Service Portal Users</h1>
  <h2>Add User</h2>
  <form method="post" 
        class="servicetrade-form-admin-add-user" >
    <p class="form-error"></p>
    <p class="form-success" style="display:none"></p>

    <div class="servicetrade-inputcontainer">
      <fieldset>
        <label>
          <input type="text" 
                 name="username" 
                 class="servicetrade-field-username" 
                 autofocus
                 autocomplete="off"
                 value="<?php echo $viewModel->username ?>">
          <?php _e( 'Name', 'servicetrade' ); ?>
        </label>
        <p class="servicetrade-field-username-error"></p>
      </fieldset>
    </div>

    <div class="servicetrade-inputcontainer">
      <fieldset>
        <label>
          <input type="email" 
                 name="email" 
                 class="servicetrade-field-email"
                 autocomplete="off"
                 value="<?php echo $viewModel->email ?>">
          <?php _e( 'Email', 'servicetrade' ); ?>
        </label>
        <p class="servicetrade-field-email-error"></p>
      </fieldset>
    </div>

    <div class="servicetrade-inputcontainer">
      <fieldset>
        <label>
          <input type="password" 
                 name="password" 
                 class="servicetrade-field-password" 
                 autocomplete="off"
                 value="<?php echo $viewModel->password ?>">
          <?php _e( 'Password', 'servicetrade' ); ?>
        </label>
        <p class="servicetrade-field-password-error"></p>
      </fieldset>
    </div>

    <div class="servicetrade-inputcontainer">
      <fieldset>
        <label>
          <input type="password" 
                 name="verifyPassword" 
                 class="servicetrade-field-verify-password" 
                 autocomplete="off"
                 value="<?php echo $viewModel->verify_password ?>">
          <?php _e( 'Verify Password', 'servicetrade' ); ?>
        </label>
        <p class="servicetrade-field-verify-password-error"></p>
      </fieldset>
    </div>

    <h3>Features</h3>
    <div class="servicetrade-inputcheckboxcontainer">
      <input type="checkbox" 
             name="featureRequestServiceEnabled" 
             <?php echo($checkedForFeatureRequestServiceEnabled); ?> 
             <?php echo($disabledForFeatureCanEnableRequestService); ?> 
          > <?php _e( 'Request Service', 'servicetrade' ); ?>
    </div>
    <div class="servicetrade-inputcheckboxcontainer">
      <input type="checkbox" 
             name="featureViewQuotesEnabled" 
            <?php echo($checkedForFeatureViewQuotesEnabled); ?> 
          ><?php _e( 'View Quotes', 'servicetrade' ); ?>
    </div>
    <div class="servicetrade-inputcheckboxcontainer">
      <input type="checkbox"
             name="featureViewDeficienciesEnabled"
             <?php echo($checkedForFeatureViewDeficienciesEnabled); ?>
          ><?php _e( 'View Deficiencies', 'servicetrade' ); ?>
    </div>
    <div class="servicetrade-inputcheckboxcontainer">
      <input type="checkbox"
             name="featureViewPricesEnabled"
             <?php echo($checkedForFeatureViewPricesEnabled); ?>
          ><?php _e( 'View Prices', 'servicetrade' ); ?>
    </div>
    <div class="servicetrade-form-actions">
      <button class="button button-primary" type="submit" disabled="disabled">Add User</button>
    </div>
  </form>
</div>
