<?php

require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/models/class-api-credentials.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/models/class-servicetrade-options.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-portal-servicetrade-wrapper.php';

/**
 * Base class for an action. Provides access to the API
 *
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/includes
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Authenticated_API {
  public static $error = null; 

  // TEMP ONLY:
  private static $st_api = null;

  /**
	 * Get the ServiceTrade API connection object, creating a connection
	 * if it doesn't exist already
	 *
	 * @since     1.0.0
	 * @return    object    ServiceTrade API connection object
	 */
	public static function api() {
		if (null === static::$st_api ) {
			if(!Servicetrade_Wrapper::hasCredentials()) {
				return null;
			}

			$baseUrl = SERVICETRADE_API_URL;
			$api = new Servicetrade_Wrapper($baseUrl);
			
			$api->connect();

			static::$st_api = $api;
		}
		return static::$st_api;
	}
}
