<?php

/**
 * The credentials used to access the API.
 *
 * This is backed up by the options within wordpress
 *
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/includes/models
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Models_API_Credentials {
  public static $username_key = 'servicetrade_portal_username';
  public static $password_key = 'servicetrade_portal_password';
  public static $access_token_key = 'servicetrade_portal_access_token';

	public static function get_access_token()
	{
		return get_option( Servicetrade_Models_API_Credentials::$access_token_key, '' );
	}

	public static function set_access_token( $token )
	{
		update_option( Servicetrade_Models_API_Credentials::$access_token_key, $token );
	}



	public static function get_username()
	{
		return get_option( Servicetrade_Models_API_Credentials::$username_key, '' );
	}

	public static function set_username( $username )
	{
		update_option( Servicetrade_Models_API_Credentials::$username_key, $username );
	}

	public static function get_password()
	{
		$encryptedPassword = get_option( Servicetrade_Models_API_Credentials::$password_key,'' );
		
		return Servicetrade_Models_API_Credentials::decrypt($encryptedPassword, Servicetrade_Models_API_Credentials::nonce_key());
	}

	/*
	public function set_password( $password )
	{
		$encryptedPassword = $this->encrypt($password, Servicetrade_Models_API_Credentials::nonce_key());
		update_option( Servicetrade_Models_API_Credentials::$password_key, $encryptedPassword );
	} */

	public static function encrypt_password($password) {
		return Servicetrade_Models_API_Credentials::encrypt($password, Servicetrade_Models_API_Credentials::nonce_key());
	}

	public static function decrypt_password($password) {
		return Servicetrade_Models_API_Credentials::decrypt($password, Servicetrade_Models_API_Credentials::nonce_key());
	}

  /*
  ** Private
  */

  private static function nonce_key() {
    return defined('NONCE_KEY') ? NONCE_KEY : 'servicetrade-portal-key';
  }

	private static function encrypt($input_string, $key){
		return $input_string;

		/*
		$iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
		$iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
		$h_key = hash('sha256', $key, TRUE);
		return base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, $h_key, $input_string, MCRYPT_MODE_ECB, $iv));
		*/
	}

	private static function decrypt($encrypted_input_string, $key){
		return $encrypted_input_string;

		/*
		$iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
		$iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
		$h_key = hash('sha256', $key, TRUE);
		return trim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, $h_key, base64_decode($encrypted_input_string), MCRYPT_MODE_ECB, $iv));
		*/
	}

	public static function remove_options() {
		$options = array(
			static::$username_key,
			static::$password_key
		);
		foreach ( $options as $option ) {
			delete_option ( $option );
		}
	}


}
