<?php

/**
 * ServiceTrade options.
 *
 * This is backed up by the options within wordpress
 *
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/includes/models
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Models_ServiceTrade_Options {
  public static $timezone_key = 'servicetrade_portal_timezone';
  public static $admin_email_key = 'servicetrade_portal_admin_email';
  public static $request_service_key = 'servicetrade_portal_request_service';
  public static $show_canceled_appointments_key = 'servicetrade_portal_show_canceled_appointments';
  public static $portal_page_url_key = 'servicetrade_portal_page_url';

	public static function get_request_service()
	{
		return get_option( Servicetrade_Models_ServiceTrade_Options::$request_service_key );
	}

	public static function set_request_service( $request_service )
	{
		update_option( Servicetrade_Models_ServiceTrade_Options::$request_service_key, $request_service );
	}

	public static function get_show_canceled_appointments()
	{
		return get_option( Servicetrade_Models_ServiceTrade_Options::$show_canceled_appointments_key );
	}

	public static function set_show_canceled_appointments( $show_canceled_appointments )
	{
		update_option( Servicetrade_Models_ServiceTrade_Options::$show_canceled_appointments_key, $show_canceled_appointments );
	}

	public static function get_timezone()
	{
		return get_option( Servicetrade_Models_ServiceTrade_Options::$timezone_key );
	}

	public static function set_timezone( $timezone )
	{
		update_option( Servicetrade_Models_ServiceTrade_Options::$timezone_key, $timezone );
	}

	public static function get_admin_email()
	{
		return get_option( Servicetrade_Models_ServiceTrade_Options::$admin_email_key );
	}

	public static function set_admin_email( $admin_email )
	{
		update_option( Servicetrade_Models_ServiceTrade_Options::$admin_email_key, $admin_email );
	}

	public static function get_portal_page_url()
	{
		return get_option( Servicetrade_Models_ServiceTrade_Options::$portal_page_url_key );
	}

	public static function set_portal_page_url( $url )
	{
		update_option( Servicetrade_Models_ServiceTrade_Options::$portal_page_url_key, $url );
	}

	public static function remove_options() {
		$options = array(
			static::$timezone_key,
			static::$admin_email_key,
			static::$request_service_key,
			static::$show_canceled_appointments_key,
			static::$portal_page_url_key
		);
		foreach ( $options as $option ) {
			delete_option ( $option );
		}
	}
}
