<?php

/**
 * Provide a public-facing view for the widget
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       http://www.servicetrade.com
 * @since      1.0.0
 *
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/public/partials
 */

$logoutUrl = Servicetrade_Models_ServiceTrade_Options::get_portal_page_url() . "?logout=1";
?>

<script>
      window.servicetradePortalConfig = {
  	  	apiRoot: '<?php echo esc_url_raw( rest_url() . "servicetrade-service-portal/v2/public/" ) ?>',
	      nonce: '<?php echo wp_create_nonce( "wp_rest" ) ?>',
	      logoutUrl: '<?php echo $logoutUrl ?>'
      };
</script>

<div class="servicetrade-container servicetrade-widget-login">

<div class="servicetrade-success-container"></div>
<div class="servicetrade-error-container"></div>

<form method="post" 
      class="servicetrade-widget-login-form-login">
    <input type='hidden' name='action' value='servicetrade-widget-login-form-login'>

	<?php if ( !is_user_logged_in() ): ?>
    <div class="servicetrade-inputcontainer">
        <label>
          Email/Username
          <input type="text" 
                 name="email" 
                 class="servicetrade-field-email">
        </label>
    </div>

    <div class="servicetrade-inputcontainer">
        <label>
          Password
          <input type="password" name="password" class="servicetrade-field-password">
        </label>
    </div>

    <div class="servicetrade-form-actions">
      <button type="submit">Login</button>
    </div>
    <ul class="servicetrade-form-links">
    <li><a class="servicetrade-widget-login-form-action-forgot-password">Forgot Password</a></li>
    <li><a class="servicetrade-widget-login-form-action-signup">Request an Account</a></li>
	 </ul>
	<?php else: ?>
		<div class="servicetrade-go-to-portal">
			<a href="<?php echo Servicetrade_Models_ServiceTrade_Options::get_portal_page_url(); ?>">Go to Portal</a>
		</div>
		<div class="servicetrade-logout">
			<a href="<?php echo wp_logout_url( home_url() ); ?>">Log Out</a>
		</div>
	<?php endif; ?>
  </form>

  <form method="post" 
        class="servicetrade-widget-login-form-signup"
        style="display:none">
    <input type='hidden' name='action' value='servicetrade-widget-login-form-signup'>

    <div class="servicetrade-inputcontainer">
        <label>
          Name
          <input type="text" name="name" class="servicetrade-field-name">
        </label>
    </div>

    <div class="servicetrade-inputcontainer">
        <label>
          Email
          <input type="email" name="email" class="servicetrade-field-email">
        </label>
    </div>

    <div class="servicetrade-inputcontainer">
        <label>
          Password
          <input type="password" name="password" class="servicetrade-field-password">
        </label>
    </div>

    <div class="servicetrade-form-actions">
      <button type="submit">Request Access</button>
    </div>
    <ul class="servicetrade-form-links">
    <li><a class="servicetrade-widget-login-form-action-forgot-password">Forgot Password</a></li>
    <li><a class="servicetrade-widget-login-form-action-login">Sign In</a></li>    
    </ul>
  </form>

  <form method="post" 
        class="servicetrade-widget-login-form-forgot-password"
        style="display:none">
    <input type='hidden' name='action' value='servicetrade-widget-login-form-forgot-password'>
    <div class="servicetrade-inputcontainer">
        <label>
          Email
          <input type="email" name="email" class="servicetrade-field-email">
        </label>
    </div>

    <div class="servicetrade-form-actions">
      <button type="submit">Resend Password</button>
    </div>
    <ul class="servicetrade-form-links">
    <li><a class="servicetrade-widget-login-form-action-login">Sign In</a></li>
    <li><a class="servicetrade-widget-login-form-action-signup">Request an Account</a></li>    
    </ul>
  </form>


</div>
