<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       http://www.servicetrade.com
 * @since      1.0.0
 *
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/public/partials
 */


 include plugin_dir_path(__FILE__) . '../components/page-header.php';

// don't explicitly call wp_logout() because headers are already written
if ($_REQUEST['logout']) {
	wp_destroy_current_session();
	wp_set_current_user( 0 );
}

// show the login widget if we're not logged in
if (!is_user_logged_in()) {
	include plugin_dir_path(__FILE__) . 'servicetrade-portal-widget-login.php';
} else {
	$logoutUrl = "?logout=1";
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="servicetrade-container servicetrade-shortcode-servicetrade">
  <script>
      window.servicetradePortalConfig = {
	       apiRoot: '<?php echo esc_url_raw( rest_url() . "servicetrade-service-portal/v2/public/" ) ?>',
	       nonce: '<?php echo wp_create_nonce( "wp_rest" ) ?>',
	       logoutUrl: '<?php echo $logoutUrl ?>'
      };

   </script>
  <div id="servicetrade-portal-public-react"></div>
</div>
<?php
}
?>
