<?php

require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-action.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'public/rest/class-public-rest-action.php';

/**
 * Returns a single location.
 *
 * An action class.
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/public/rest/actions
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Service_Portal_Public_Actions_Rest_Locations_For_Select_Get_Action extends Servicetrade_Service_Portal_Public_Rest_Action {
  private $includeAll;
  
  public function __construct($includeAll ) {
    $this->includeAll = $includeAll;

  }

  function run() {
    $user = $this->get_authenticated_user();
    if(null === $user) {
			return $this->create_rest_error_not_authorized();
    }
    
	 $locations = $user->getContactLocations();

    if($this->includeAll) {
      $mappedResults[] = array(
        'value' => null,
        'label' => '-- All Locations --',
      );
    }

    foreach ((array)$locations as $result) {
      $mappedResults[] = array(
        'value' => $result['id'],
        'label' => $result['name'],
      );
    }
    return new WP_REST_Response( $mappedResults, 200 );
  } 
}
