<?php

require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-action.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'public/rest/class-public-rest-action.php';

/**
 * Returns locations.
 *
 * An action class.
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/public/rest/actions
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Service_Portal_Public_Actions_Rest_Locations_Get_Action extends Servicetrade_Service_Portal_Public_Rest_Action {

  function run() {
    $user = $this->get_authenticated_user();
    if(null === $user) {
			return $this->create_rest_error_not_authorized();
    }

	 $locations = $user->getContactLocations();

    $mappedResults = array();
    
    foreach ((array)$locations as $result) {
      $mappedResults[] = array(
        'id' => $result['id'],
        'name' => $result['name'],
        'street' => $result['addressStreet'],
        'city' => $result['addressCity'],
        'state' => $result['addressState'],
      );
    }

    $restResponse =  array(
      "locations" => $mappedResults
    );
    return new WP_REST_Response( $restResponse, 200 );
  }
}
