<?php

require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-action.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/models/class-api-credentials.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/models/class-servicetrade-options.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'vendor/servicetrade/servicetrade-php/Servicetrade.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'includes/class-servicetrade-authenticated-api.php';
require_once SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'public/rest/class-authenticated-user.php';

/**
 * Base class for an action. Provides access to the API
 *
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/includes
 * @author     ServiceTrade <support@servicetrade.com>
 */
class Servicetrade_Service_Portal_Public_Rest_Action extends Servicetrade_Action {


	protected function create_rest_success($result) {
		return new WP_REST_Response( $result, 200 );
	}

	protected function create_rest_error_not_authorized() {
		return new WP_Error( 'servicetrade_failed_not_authorized' ,'The plug-in needs to be authorized against servicetrade.', array( 'status' => 403 ) );
	}

	protected function create_rest_error_failed_request() {
		return new WP_Error( 'servicetrade_failed_request' ,'The plugin could not retrieve data from the servicetrade API', array( 'status' => 503 ) );
	}

	/**
	 * Returns the authenticated user
	 */
	protected function get_authenticated_user() {
		return Servicetrade_Service_Portal_Public_Authenticated_User::user();
	}
	
	protected function api_get($query) {
		return $this->st_api()->get($query);
	}

}
